import { BaseXform } from "@excel/xlsx/xform/base-xform";
import { AlignmentXform } from "@excel/xlsx/xform/style/alignment-xform";
import { ProtectionXform } from "@excel/xlsx/xform/style/protection-xform";
interface StyleModel {
    numFmtId?: number;
    fontId?: number;
    fillId?: number;
    borderId?: number;
    xfId?: number;
    alignment?: any;
    protection?: any;
    checkbox?: boolean;
    xfComplementIndex?: number;
    pivotButton?: boolean;
    applyNumberFormat?: boolean;
    applyFont?: boolean;
    applyFill?: boolean;
    applyBorder?: boolean;
    applyAlignment?: boolean;
    applyProtection?: boolean;
}
interface StyleOptions {
    xfId?: boolean;
}
declare class StyleXform extends BaseXform {
    private xfId;
    map: {
        alignment: AlignmentXform;
        protection: ProtectionXform;
    };
    parser: any;
    constructor(options?: StyleOptions);
    get tag(): string;
    render(xmlStream: any, model: StyleModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
}
export { StyleXform };
